
_main:

;C_Meter_PIC.c,29 :: 		void main()
;C_Meter_PIC.c,32 :: 		bool calibration_flag = true;
;C_Meter_PIC.c,35 :: 		system_setup();
	CALL        _system_setup+0, 0
;C_Meter_PIC.c,36 :: 		setup_interrupt();
	CALL        _setup_interrupt+0, 0
;C_Meter_PIC.c,37 :: 		InitTimer0();
	CALL        _InitTimer0+0, 0
;C_Meter_PIC.c,39 :: 		t_cal = 1.0 / 22189.0;
	MOVLW       186
	MOVWF       _t_cal+0 
	MOVLW       6
	MOVWF       _t_cal+1 
	MOVLW       61
	MOVWF       _t_cal+2 
	MOVLW       112
	MOVWF       _t_cal+3 
;C_Meter_PIC.c,40 :: 		c_cal = t_cal / 77616.0;
	MOVLW       74
	MOVWF       _c_cal+0 
	MOVLW       155
	MOVWF       _c_cal+1 
	MOVLW       31
	MOVWF       _c_cal+2 
	MOVLW       96
	MOVWF       _c_cal+3 
;C_Meter_PIC.c,42 :: 		int_count = 0;
	CLRF        _int_count+0 
	CLRF        _int_count+1 
	CLRF        _int_count+2 
	CLRF        _int_count+3 
;C_Meter_PIC.c,44 :: 		while(1)
L_main0:
;C_Meter_PIC.c,47 :: 		if( sec_flag )
	MOVF        _sec_flag+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main2
;C_Meter_PIC.c,50 :: 		sprintf( uart_text, "Interrupts : %u\r\n", timer_count_end );
	MOVLW       _uart_text+0
	MOVWF       FARG_sprintf_wh+0 
	MOVLW       hi_addr(_uart_text+0)
	MOVWF       FARG_sprintf_wh+1 
	MOVLW       ?lstr_1_C_Meter_PIC+0
	MOVWF       FARG_sprintf_f+0 
	MOVLW       hi_addr(?lstr_1_C_Meter_PIC+0)
	MOVWF       FARG_sprintf_f+1 
	MOVLW       higher_addr(?lstr_1_C_Meter_PIC+0)
	MOVWF       FARG_sprintf_f+2 
	MOVF        _timer_count_end+0, 0 
	MOVWF       FARG_sprintf_wh+5 
	MOVF        _timer_count_end+1, 0 
	MOVWF       FARG_sprintf_wh+6 
	MOVF        _timer_count_end+2, 0 
	MOVWF       FARG_sprintf_wh+7 
	MOVF        _timer_count_end+3, 0 
	MOVWF       FARG_sprintf_wh+8 
	CALL        _sprintf+0, 0
;C_Meter_PIC.c,51 :: 		UART1_Write_Text( uart_text );
	MOVLW       _uart_text+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_uart_text+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;C_Meter_PIC.c,53 :: 		t_meas = 1.0 / timer_count_end;
	MOVF        _timer_count_end+0, 0 
	MOVWF       R0 
	MOVF        _timer_count_end+1, 0 
	MOVWF       R1 
	MOVF        _timer_count_end+2, 0 
	MOVWF       R2 
	MOVF        _timer_count_end+3, 0 
	MOVWF       R3 
	CALL        _longword2double+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVLW       127
	MOVWF       R3 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _t_meas+0 
	MOVF        R1, 0 
	MOVWF       _t_meas+1 
	MOVF        R2, 0 
	MOVWF       _t_meas+2 
	MOVF        R3, 0 
	MOVWF       _t_meas+3 
;C_Meter_PIC.c,54 :: 		c_meas = t_meas / 77616.0;
	MOVLW       0
	MOVWF       R4 
	MOVLW       152
	MOVWF       R5 
	MOVLW       23
	MOVWF       R6 
	MOVLW       143
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _c_meas+0 
	MOVF        R1, 0 
	MOVWF       _c_meas+1 
	MOVF        R2, 0 
	MOVWF       _c_meas+2 
	MOVF        R3, 0 
	MOVWF       _c_meas+3 
;C_Meter_PIC.c,55 :: 		final = fabs( c_cal - c_meas );
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        _c_cal+0, 0 
	MOVWF       R0 
	MOVF        _c_cal+1, 0 
	MOVWF       R1 
	MOVF        _c_cal+2, 0 
	MOVWF       R2 
	MOVF        _c_cal+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_fabs_d+0 
	MOVF        R1, 0 
	MOVWF       FARG_fabs_d+1 
	MOVF        R2, 0 
	MOVWF       FARG_fabs_d+2 
	MOVF        R3, 0 
	MOVWF       FARG_fabs_d+3 
	CALL        _fabs+0, 0
	MOVF        R0, 0 
	MOVWF       _final+0 
	MOVF        R1, 0 
	MOVWF       _final+1 
	MOVF        R2, 0 
	MOVWF       _final+2 
	MOVF        R3, 0 
	MOVWF       _final+3 
;C_Meter_PIC.c,57 :: 		UART1_Write_Text( "Calibrated: " );
	MOVLW       ?lstr2_C_Meter_PIC+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr2_C_Meter_PIC+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;C_Meter_PIC.c,58 :: 		FloatToStr( c_cal, uart_text );
	MOVF        _c_cal+0, 0 
	MOVWF       FARG_FloatToStr_fnum+0 
	MOVF        _c_cal+1, 0 
	MOVWF       FARG_FloatToStr_fnum+1 
	MOVF        _c_cal+2, 0 
	MOVWF       FARG_FloatToStr_fnum+2 
	MOVF        _c_cal+3, 0 
	MOVWF       FARG_FloatToStr_fnum+3 
	MOVLW       _uart_text+0
	MOVWF       FARG_FloatToStr_str+0 
	MOVLW       hi_addr(_uart_text+0)
	MOVWF       FARG_FloatToStr_str+1 
	CALL        _FloatToStr+0, 0
;C_Meter_PIC.c,59 :: 		UART1_Write_Text( uart_text );
	MOVLW       _uart_text+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_uart_text+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;C_Meter_PIC.c,60 :: 		UART1_Write_Text( "\r\n" );
	MOVLW       ?lstr3_C_Meter_PIC+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr3_C_Meter_PIC+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;C_Meter_PIC.c,61 :: 		UART1_Write_Text( "Final: " );
	MOVLW       ?lstr4_C_Meter_PIC+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr4_C_Meter_PIC+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;C_Meter_PIC.c,62 :: 		FloatToStr( final, final_text );
	MOVF        _final+0, 0 
	MOVWF       FARG_FloatToStr_fnum+0 
	MOVF        _final+1, 0 
	MOVWF       FARG_FloatToStr_fnum+1 
	MOVF        _final+2, 0 
	MOVWF       FARG_FloatToStr_fnum+2 
	MOVF        _final+3, 0 
	MOVWF       FARG_FloatToStr_fnum+3 
	MOVLW       _final_text+0
	MOVWF       FARG_FloatToStr_str+0 
	MOVLW       hi_addr(_final_text+0)
	MOVWF       FARG_FloatToStr_str+1 
	CALL        _FloatToStr+0, 0
;C_Meter_PIC.c,63 :: 		UART1_Write_Text( final_text );
	MOVLW       _final_text+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_final_text+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;C_Meter_PIC.c,64 :: 		UART1_Write_Text( "\r\n" );
	MOVLW       ?lstr5_C_Meter_PIC+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr5_C_Meter_PIC+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;C_Meter_PIC.c,66 :: 		sec_flag = false;
	CLRF        _sec_flag+0 
;C_Meter_PIC.c,67 :: 		int_count = 0;
	CLRF        _int_count+0 
	CLRF        _int_count+1 
	CLRF        _int_count+2 
	CLRF        _int_count+3 
;C_Meter_PIC.c,68 :: 		timer_count_end = 0;
	CLRF        _timer_count_end+0 
	CLRF        _timer_count_end+1 
	CLRF        _timer_count_end+2 
	CLRF        _timer_count_end+3 
;C_Meter_PIC.c,69 :: 		}
L_main2:
;C_Meter_PIC.c,70 :: 		}
	GOTO        L_main0
;C_Meter_PIC.c,71 :: 		}
L_end_main:
	GOTO        $+0
; end of _main

_system_setup:

;C_Meter_PIC.c,73 :: 		void system_setup( void )
;C_Meter_PIC.c,76 :: 		C_METER_INT_DIR = 1;
	BSF         TRISB0_bit+0, BitPos(TRISB0_bit+0) 
;C_Meter_PIC.c,77 :: 		C_METER_RST_DIR = 0;
	BCF         TRISE1_bit+0, BitPos(TRISE1_bit+0) 
;C_Meter_PIC.c,80 :: 		C_METER_RST = 0;
	BCF         RE1_bit+0, BitPos(RE1_bit+0) 
;C_Meter_PIC.c,81 :: 		Delay_ms(50);
	MOVLW       130
	MOVWF       R12, 0
	MOVLW       221
	MOVWF       R13, 0
L_system_setup3:
	DECFSZ      R13, 1, 1
	BRA         L_system_setup3
	DECFSZ      R12, 1, 1
	BRA         L_system_setup3
	NOP
	NOP
;C_Meter_PIC.c,82 :: 		C_METER_RST = 1;
	BSF         RE1_bit+0, BitPos(RE1_bit+0) 
;C_Meter_PIC.c,85 :: 		UART1_Init( 9600 );
	BSF         BAUDCON+0, 3, 0
	CLRF        SPBRGH+0 
	MOVLW       207
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;C_Meter_PIC.c,86 :: 		UART1_Write_Text( "UART Initialized\r\n" );
	MOVLW       ?lstr6_C_Meter_PIC+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr6_C_Meter_PIC+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;C_Meter_PIC.c,88 :: 		}
L_end_system_setup:
	RETURN      0
; end of _system_setup

_setup_interrupt:

;C_Meter_PIC.c,90 :: 		void setup_interrupt( void )
;C_Meter_PIC.c,93 :: 		ADCON1 = 0x0F;           // AD converter off
	MOVLW       15
	MOVWF       ADCON1+0 
;C_Meter_PIC.c,94 :: 		ANSELB = 0;
	CLRF        ANSELB+0 
;C_Meter_PIC.c,95 :: 		TRISB = 0xFF;            // Set PB0 as input
	MOVLW       255
	MOVWF       TRISB+0 
;C_Meter_PIC.c,97 :: 		INTEDG0_bit = 0;         // Interrupt on falling edge on RB0
	BCF         INTEDG0_bit+0, BitPos(INTEDG0_bit+0) 
;C_Meter_PIC.c,98 :: 		INT0IF_bit = 0;          // Clear INT0IF
	BCF         INT0IF_bit+0, BitPos(INT0IF_bit+0) 
;C_Meter_PIC.c,99 :: 		INT0IE_bit = 1;          // turn OFF interrupt on INT0
	BSF         INT0IE_bit+0, BitPos(INT0IE_bit+0) 
;C_Meter_PIC.c,100 :: 		GIE_bit = 1;             // enable GIE
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;C_Meter_PIC.c,101 :: 		}
L_end_setup_interrupt:
	RETURN      0
; end of _setup_interrupt

_InitTimer0:

;C_Meter_PIC.c,103 :: 		void InitTimer0(){
;C_Meter_PIC.c,104 :: 		T0CON         = 0x84;
	MOVLW       132
	MOVWF       T0CON+0 
;C_Meter_PIC.c,105 :: 		TMR0H         = 0x0B;
	MOVLW       11
	MOVWF       TMR0H+0 
;C_Meter_PIC.c,106 :: 		TMR0L         = 0xDC;
	MOVLW       220
	MOVWF       TMR0L+0 
;C_Meter_PIC.c,107 :: 		GIE_bit         = 1;
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;C_Meter_PIC.c,108 :: 		TMR0IE_bit         = 1;
	BSF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;C_Meter_PIC.c,109 :: 		}
L_end_InitTimer0:
	RETURN      0
; end of _InitTimer0

_Interrupt:

;C_Meter_PIC.c,111 :: 		void Interrupt()
;C_Meter_PIC.c,113 :: 		if (INT0IF_bit && INT0IE_bit)
	BTFSS       INT0IF_bit+0, BitPos(INT0IF_bit+0) 
	GOTO        L_Interrupt6
	BTFSS       INT0IE_bit+0, BitPos(INT0IE_bit+0) 
	GOTO        L_Interrupt6
L__Interrupt8:
;C_Meter_PIC.c,115 :: 		INT0IF_bit = 0;
	BCF         INT0IF_bit+0, BitPos(INT0IF_bit+0) 
;C_Meter_PIC.c,116 :: 		INT0IE_bit = 0;
	BCF         INT0IE_bit+0, BitPos(INT0IE_bit+0) 
;C_Meter_PIC.c,118 :: 		int_count++;
	MOVLW       1
	ADDWF       _int_count+0, 1 
	MOVLW       0
	ADDWFC      _int_count+1, 1 
	ADDWFC      _int_count+2, 1 
	ADDWFC      _int_count+3, 1 
;C_Meter_PIC.c,119 :: 		INT0IE_bit = 1;
	BSF         INT0IE_bit+0, BitPos(INT0IE_bit+0) 
;C_Meter_PIC.c,120 :: 		}
L_Interrupt6:
;C_Meter_PIC.c,122 :: 		if (TMR0IF_bit)
	BTFSS       TMR0IF_bit+0, BitPos(TMR0IF_bit+0) 
	GOTO        L_Interrupt7
;C_Meter_PIC.c,124 :: 		TMR0IF_bit = 0;
	BCF         TMR0IF_bit+0, BitPos(TMR0IF_bit+0) 
;C_Meter_PIC.c,125 :: 		TMR0H         = 0x0B;
	MOVLW       11
	MOVWF       TMR0H+0 
;C_Meter_PIC.c,126 :: 		TMR0L         = 0xDC;
	MOVLW       220
	MOVWF       TMR0L+0 
;C_Meter_PIC.c,128 :: 		timer_count_end = int_count;
	MOVF        _int_count+0, 0 
	MOVWF       _timer_count_end+0 
	MOVF        _int_count+1, 0 
	MOVWF       _timer_count_end+1 
	MOVF        _int_count+2, 0 
	MOVWF       _timer_count_end+2 
	MOVF        _int_count+3, 0 
	MOVWF       _timer_count_end+3 
;C_Meter_PIC.c,129 :: 		int_count = 0;
	CLRF        _int_count+0 
	CLRF        _int_count+1 
	CLRF        _int_count+2 
	CLRF        _int_count+3 
;C_Meter_PIC.c,130 :: 		sec_flag = true;
	MOVLW       1
	MOVWF       _sec_flag+0 
;C_Meter_PIC.c,131 :: 		}
L_Interrupt7:
;C_Meter_PIC.c,134 :: 		}
L_end_Interrupt:
L__Interrupt14:
	RETFIE      1
; end of _Interrupt
