_main:
;C_Meter_ARM.c,29 :: 		void main()
SUB	SP, SP, #4
;C_Meter_ARM.c,32 :: 		bool calibration_flag = true;
;C_Meter_ARM.c,35 :: 		system_setup();
BL	_system_setup+0
;C_Meter_ARM.c,36 :: 		setup_interrupt();
BL	_setup_interrupt+0
;C_Meter_ARM.c,37 :: 		InitTimer2();
BL	_InitTimer2+0
;C_Meter_ARM.c,39 :: 		t = 1.0f / 23119.0f;
MOVW	R1, #27681
MOVT	R1, #14389
MOVW	R0, #lo_addr(_t+0)
MOVT	R0, #hi_addr(_t+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,40 :: 		calib = t / 77616.0f;
MOVW	R1, #12200
MOVT	R1, #12313
MOVW	R0, #lo_addr(_calib+0)
MOVT	R0, #hi_addr(_calib+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,42 :: 		int_count = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_int_count+0)
MOVT	R0, #hi_addr(_int_count+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,44 :: 		while(1)
L_main0:
;C_Meter_ARM.c,47 :: 		if( sec_flag )
MOVW	R0, #lo_addr(_sec_flag+0)
MOVT	R0, #hi_addr(_sec_flag+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main2
;C_Meter_ARM.c,64 :: 		}
L_main2:
;C_Meter_ARM.c,67 :: 		}
IT	AL
BAL	L_main0
;C_Meter_ARM.c,69 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
_calibration:
;C_Meter_ARM.c,71 :: 		float calibration( uint32_t count )
; count start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; count end address is: 0 (R0)
; count start address is: 0 (R0)
;C_Meter_ARM.c,73 :: 		float t = 0.0;
;C_Meter_ARM.c,74 :: 		float calibrated = 0.0;
;C_Meter_ARM.c,76 :: 		t = 1 / count;
MOVS	R1, #1
UDIV	R1, R1, R0
; count end address is: 0 (R0)
MOV	R0, R1
BL	__UnsignedIntegralToFloat+0
;C_Meter_ARM.c,77 :: 		calibrated = t / 77616;
MOVW	R2, #38912
MOVT	R2, #18327
BL	__Div_FP+0
;C_Meter_ARM.c,79 :: 		return calibrated;
MOV	R0, R0
;C_Meter_ARM.c,80 :: 		}
L_end_calibration:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _calibration
_system_setup:
;C_Meter_ARM.c,82 :: 		void system_setup( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;C_Meter_ARM.c,85 :: 		GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_2 );    //RST
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;C_Meter_ARM.c,86 :: 		GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_10 );    //INT
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;C_Meter_ARM.c,89 :: 		C_METER_RST = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOC_ODR+0)
MOVT	R0, #hi_addr(GPIOC_ODR+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,90 :: 		Delay_ms(50);
MOVW	R7, #10175
MOVT	R7, #9
NOP
NOP
L_system_setup3:
SUBS	R7, R7, #1
BNE	L_system_setup3
NOP
NOP
NOP
;C_Meter_ARM.c,91 :: 		C_METER_RST = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOC_ODR+0)
MOVT	R0, #hi_addr(GPIOC_ODR+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,94 :: 		UART1_Init( 9600 );
MOVW	R0, #9600
BL	_UART1_Init+0
;C_Meter_ARM.c,95 :: 		UART1_Write_Text( "UART Initialized\r\n" );
MOVW	R0, #lo_addr(?lstr1_C_Meter_ARM+0)
MOVT	R0, #hi_addr(?lstr1_C_Meter_ARM+0)
BL	_UART1_Write_Text+0
;C_Meter_ARM.c,97 :: 		}
L_end_system_setup:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _system_setup
_setup_interrupt:
;C_Meter_ARM.c,99 :: 		void setup_interrupt( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;C_Meter_ARM.c,101 :: 		GPIO_Digital_Output(&GPIOE_BASE, _GPIO_PINMASK_HIGH);  // Enable digital output on PORTD
MOVW	R1, #65280
MOVW	R0, #lo_addr(GPIOE_BASE+0)
MOVT	R0, #hi_addr(GPIOE_BASE+0)
BL	_GPIO_Digital_Output+0
;C_Meter_ARM.c,102 :: 		GPIOE_ODR = 0xAAAA;
MOVW	R1, #43690
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,103 :: 		GPIO_Digital_Input(&GPIOD_BASE, _GPIO_PINMASK_10);
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;C_Meter_ARM.c,105 :: 		RCC_APB2ENR.AFIOEN = 1;              // Enable clock for alternate pin functions
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(RCC_APB2ENR+0)
MOVT	R0, #hi_addr(RCC_APB2ENR+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,106 :: 		AFIO_EXTICR3 = 0x0300;               // PD10 as External interrupt
MOVW	R1, #768
MOVW	R0, #lo_addr(AFIO_EXTICR3+0)
MOVT	R0, #hi_addr(AFIO_EXTICR3+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,107 :: 		EXTI_FTSR = 0x00000400;              // Set interrupt on Rising edge
MOVW	R1, #1024
MOVW	R0, #lo_addr(EXTI_FTSR+0)
MOVT	R0, #hi_addr(EXTI_FTSR+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,108 :: 		EXTI_IMR |= 0x00000400;              // Set mask
MOVW	R0, #lo_addr(EXTI_IMR+0)
MOVT	R0, #hi_addr(EXTI_IMR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #1024
MOVW	R0, #lo_addr(EXTI_IMR+0)
MOVT	R0, #hi_addr(EXTI_IMR+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,109 :: 		NVIC_IntEnable(IVT_INT_EXTI15_10);   // Enable External interrupt
MOVW	R0, #56
BL	_NVIC_IntEnable+0
;C_Meter_ARM.c,110 :: 		EnableInterrupts();                  // Enables the processor interrupt.
BL	_EnableInterrupts+0
;C_Meter_ARM.c,111 :: 		}
L_end_setup_interrupt:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _setup_interrupt
_ExtInt:
;C_Meter_ARM.c,113 :: 		void ExtInt() iv IVT_INT_EXTI15_10 ics ICS_AUTO
;C_Meter_ARM.c,115 :: 		EXTI_PR.B10 = 1;                             // clear flag
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(EXTI_PR+0)
MOVT	R0, #hi_addr(EXTI_PR+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,116 :: 		int_count++;
MOVW	R1, #lo_addr(_int_count+0)
MOVT	R1, #hi_addr(_int_count+0)
LDR	R0, [R1, #0]
ADDS	R0, R0, #1
STR	R0, [R1, #0]
;C_Meter_ARM.c,117 :: 		}
L_end_ExtInt:
BX	LR
; end of _ExtInt
_InitTimer2:
;C_Meter_ARM.c,119 :: 		void InitTimer2() //1 second
SUB	SP, SP, #4
STR	LR, [SP, #0]
;C_Meter_ARM.c,121 :: 		RCC_APB1ENR.TIM2EN = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(RCC_APB1ENR+0)
MOVT	R0, #hi_addr(RCC_APB1ENR+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,122 :: 		TIM2_CR1.CEN = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(TIM2_CR1+0)
MOVT	R0, #hi_addr(TIM2_CR1+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,123 :: 		TIM2_PSC = 1124;
MOVW	R1, #1124
MOVW	R0, #lo_addr(TIM2_PSC+0)
MOVT	R0, #hi_addr(TIM2_PSC+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,124 :: 		TIM2_ARR = 63999;
MOVW	R1, #63999
MOVW	R0, #lo_addr(TIM2_ARR+0)
MOVT	R0, #hi_addr(TIM2_ARR+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,125 :: 		NVIC_IntEnable(IVT_INT_TIM2);
MOVW	R0, #44
BL	_NVIC_IntEnable+0
;C_Meter_ARM.c,126 :: 		TIM2_DIER.UIE = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(TIM2_DIER+0)
MOVT	R0, #hi_addr(TIM2_DIER+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,127 :: 		TIM2_CR1.CEN = 1;
MOVW	R0, #lo_addr(TIM2_CR1+0)
MOVT	R0, #hi_addr(TIM2_CR1+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,128 :: 		}
L_end_InitTimer2:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _InitTimer2
_Timer2_interrupt:
;C_Meter_ARM.c,130 :: 		void Timer2_interrupt() iv IVT_INT_TIM2
SUB	SP, SP, #4
STR	LR, [SP, #0]
;C_Meter_ARM.c,132 :: 		TIM2_SR.UIF = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(TIM2_SR+0)
MOVT	R0, #hi_addr(TIM2_SR+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,138 :: 		if( flag )
MOVW	R0, #lo_addr(_flag+0)
MOVT	R0, #hi_addr(_flag+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_Timer2_interrupt5
;C_Meter_ARM.c,140 :: 		end_val = int_count;
MOVW	R0, #lo_addr(_int_count+0)
MOVT	R0, #hi_addr(_int_count+0)
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(_end_val+0)
MOVT	R0, #hi_addr(_end_val+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,141 :: 		LongToStr( end_val - start_val, uart_text );
MOVW	R0, #lo_addr(_start_val+0)
MOVT	R0, #hi_addr(_start_val+0)
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(_end_val+0)
MOVT	R0, #hi_addr(_end_val+0)
LDR	R0, [R0, #0]
SUB	R0, R0, R1
MOVW	R1, #lo_addr(_uart_text+0)
MOVT	R1, #hi_addr(_uart_text+0)
BL	_LongToStr+0
;C_Meter_ARM.c,142 :: 		UART_Write_Text( uart_text );
MOVW	R0, #lo_addr(_uart_text+0)
MOVT	R0, #hi_addr(_uart_text+0)
BL	_UART_Write_Text+0
;C_Meter_ARM.c,144 :: 		} else {
IT	AL
BAL	L_Timer2_interrupt6
L_Timer2_interrupt5:
;C_Meter_ARM.c,146 :: 		start_val = int_count;
MOVW	R0, #lo_addr(_int_count+0)
MOVT	R0, #hi_addr(_int_count+0)
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(_start_val+0)
MOVT	R0, #hi_addr(_start_val+0)
STR	R1, [R0, #0]
;C_Meter_ARM.c,147 :: 		}
L_Timer2_interrupt6:
;C_Meter_ARM.c,149 :: 		flag =~ flag;
MOVW	R0, #lo_addr(_flag+0)
MOVT	R0, #hi_addr(_flag+0)
LDRB	R0, [R0, #0]
MVN	R1, R0
MOVW	R0, #lo_addr(_flag+0)
MOVT	R0, #hi_addr(_flag+0)
STRB	R1, [R0, #0]
;C_Meter_ARM.c,152 :: 		}
L_end_Timer2_interrupt:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Timer2_interrupt
